# frozen_string_literal: true

source 'https://rubygems.org'

ruby '2.7.2'

gem 'bootsnap',          '>= 1.5', require: false
gem 'jbuilder',          '~> 2.10'
gem 'lograge',           '~> 0.11'
gem 'multi_json',        '~> 1.15'
gem 'paranoia',          '~> 2.4'
gem 'pg',                '~> 1.2'
gem 'puma',              '~> 5.1'
gem 'rails',             '~> 6.1'
gem 'redis-rails',       '~> 5.0'
gem 'responders',        '~> 3.0'
gem 'sidekiq',           '~> 6.1'
gem 'simple_form',       '~> 5.0'
gem 'validates_email_format_of', '~> 1.6'
gem 'webpacker', '~> 5.2'

# auth
gem 'activeadmin', '~> 2.9'
gem 'arctic_admin', '~> 3.3'
gem 'devise', '~> 4.7'

# styles
gem 'bulma-rails',          '~> 0.9.1'
gem 'font_awesome5_rails',  '~> 1.3'
gem 'premailer-rails',      '~> 1.11'
gem 'sassc-rails',          '~> 2.1' # @see https://github.com/cprodhomme/arctic_admin/issues/56#issue-453584917

group :development, :test do
  gem 'factory_bot_rails',  '~> 6.1'
  gem 'faker',              '~> 2.15'
  gem 'pry-rails'
  gem 'rspec-rails', '~> 4.0'
  gem 'rubocop'
  gem 'rubocop-rails'
end

group :development do
  gem 'listen', '~> 3.3'
  gem 'spring' # @see https://github.com/rails/spring
  gem 'spring-watcher-listen', '~> 2.0'
end

group :test do
  gem 'database_cleaner', '~> 1.8'
  gem 'json_spec',        '~> 1.1'
  gem 'mock_redis',       '~> 0.17'
  gem 'rspec-sidekiq',    '~> 3.0'
  gem 'shoulda-callback-matchers', '~> 1.1'
  gem 'shoulda-matchers', '~> 3.1'
  gem 'simplecov', '~> 0.16'
end
